:root {
    --main-bg-color: #0f5cab;
}

#chatbot-launcher {
    display: block;
    position:fixed;
    width: 47px;
    height: 47px;
    bottom: 19px;
    right: 60px;
    background-color: #1156A5;
    color: #FFF;
    border-radius: 50px;
    text-align: center;
    font-size: 30px;
    z-index: 100;
}
@media screen and (max-width: 1024px) {
  #chatbot-launcher {
    position:fixed;
    width: 47px;
    height: 47px;
    bottom: 24px;
    right: 55px;
    background-color: #1156A5;
    color: #FFF;
    border-radius: 50px;
    text-align: center;
    font-size: 30px;
    z-index: 100;
  }
}

#chatbot-launcher i {
    font-size: 22px;
}
#chatbot-launcher:hover {
    filter: brightness(1.2);
}
#chatbot {
    flex-direction: column;
    justify-content: space-between;
    position:fixed;
    bottom:40px;
    right:40px;
    width: 85%;
    max-width:350px;
    max-height: 550px;
    height: 85%;
    background-color:#fff;
    z-index:2147483647; /*pongo este valor para evitar conflicto con accesiBe*/
    box-shadow: 0px 0px 12px 1px rgba(0,0,0,0.4);
    border-radius:15px;
    transition: all 1s ease;
}
.chb_hidden {
    display:none;
    opacity: 0;
    transition: all 0.5s ease;
}
.chb_visible {
    display: flex;
    opacity: 1;
    transition: all 1s ease;
}

#chatbot header {
    display: flex;
    border-radius: 15px 15px 0 0;
    background: var(--main-bg-color);
    padding:5px 20px;
    margin-top: -1px;
    margin-right: -1px;
    margin-left: -1px;
}
#chatbot header #chatbot-title {
    flex: 1;
    color:#fff;
    font-size:18px;
    margin:0;
    padding:5px;
    font-weight: 400 !important;
}
#chatbot header #chatbot-close {
    padding:5px;
    font-size:20px;
    color:#fff;
    cursor: pointer;
}
#chatbot header #chatbot-close:hover {
    text-shadow: 0 0 8px rgba(0,0,0,0.4);
}
#chatbot-main {
    display: flex;
    flex-direction: column;
    height: 100%;
    overflow:auto;
    padding:20px;
}
.chatbot-response {
    display:flex;
    flex-direction:row;
    width:98%;
    margin-bottom:15px;
}
.chatbot-response-avatar {
    display:flex;
}
.chatbot-response-avatar i {
    font-size:22px;
    color: var(--main-bg-color);
    margin-right:12px;
    margin-top: 3px;
}
.chatbot-response-text {
    display:flex;
    font-size:14px;
    color:#666;
    padding:10px 13px;
    box-shadow: 0px 0px 14px 1px rgba(0,0,0,0.15);
    border-radius:8px;
}
.chatbot-question {
    display:flex;
    flex-direction:row-reverse;
    width:98%;
    margin-left:auto;
    margin-bottom:15px;
}
.chatbot-question-avatar {
    display: flex;
}
.chatbot-question-avatar i {
    font-size:22px;
    color:#ccc;
    margin-left:12px;
    margin-top: 3px;
}
.chatbot-question-text {
    display:flex;
    padding-top:2px;
    font-size:14px;
    color:#666;
    padding:10px 13px;
    box-shadow: 0px 0px 14px 1px rgba(0,0,0,0.15);
    border-radius:8px;
}
#chatbot footer {
    padding:10px 20px;
    display: flex;
    background-color: #fefefe;
    box-shadow: 0px 0px 14px 1px rgba(0,0,0,0.15);
    border-radius: 0 0 15px 15px;
}

.chatbot-response-waiting {
    font-size:50px;
    margin-top: -34px;
    color: var(--main-bg-color);
}

#chatbot-textarea-wrapper {
    width:84%;
}
#chatbot-textarea-wrapper textarea {
    width:100%;
    border: 1px solid #ccc;
    border-radius: 8px;
    background-color: #f3f3f3;
    height: 66px;
    padding: 2px 10px;
    color:#000 !important;
}
#chatbot-textarea-wrapper textarea:focus, #chatbot-textarea-wrapper textarea:focus-visible {
    outline: none;
}
#chatbot-send-button {
    width: 40px;
    padding: 3%;
    background-color: #ccc;
    height: 40px;
    border-radius: 50%;
    margin:13px 0 0 10px;
    cursor: pointer;
}
#chatbot-send-button i {
    font-size:20px;
    color:#fff;
}
#chatbot-send-button:hover {
    background-color: #bbb;
}

.non-selectable {
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}
.footer-chatbot{
  border-top: 3px solid #1156A5
}

.fa-robot-chatbot{

}
.sub-title-chatbot{
  font-size: 13px;
  font-weight: lighter;
}


.terms-and-conditions-chatbot::-webkit-scrollbar {
  width: 10px;
}

.terms-and-conditions-chatbot::-webkit-scrollbar-thumb {
  background-color: #444; /* Set thumb color for Chrome and Safari */
}

.terms-and-conditions-chatbot::-webkit-scrollbar-track {
  background-color: #CCC; /* Set track color for Chrome and Safari */
}
.position-y-bottom{
  top: 20% !important;
  bottom: auto !important;
}
.size-small{
  width: 60px !important;
  height:60px !important;
}

.grecaptcha-badge {
  visibility: hidden;
}

#back-to-top{
  visibility: hidden;
}

@media (max-width: 767px) {
  #chatbot {
    bottom: 0px !important;
    right: 0px !important;
    width: 100% !important;
    max-width: 100%;
    max-height: 86% !important;
    height: 100% !important;
    padding-bottom: 14%;
  }
}

@media (max-width: 991px) {

  #chatbot-textarea-wrapper textarea{
    color: #000 !important;
  }
  #chatbot-send-button {
    padding: 1.5%;
  }
}

.whatsapp {
  position:fixed;
  width: 47px;
  height: 47px;
  bottom: 19px;
  right: 60px;
  background-color: #1156A5;
  color: #FFF;
  border-radius: 50px;
  text-align: center;
  font-size: 30px;
  z-index: 100;
}

#cookie-chatbot{
  z-index:2247483647 !important; /*pongo este valor para evitar conflicto con accesiBe*/
}
